import request from '@/config/axios'

export interface MmItemAccuracyRateVO {
  id: string
  itemId: string,
  outId: string,
  sampleLength: number,
  valueType: number,
  beginTime: Date,
  inDeviation: number,
  inAccuracyRate: number,
  outDeviation: number,
  outAccuracyRate: number,
  isEnable: number,
}

export interface MmItemAccuracyRatePageReqVO extends PageParam {
  itemId?: string
}

// 查询MmItemAccuracyRate列表
export const getMmItemAccuracyRatePage = (params: MmItemAccuracyRatePageReqVO) => {
  return request.get({ url: '/model/item/accuracy-rate/page', params })
}

// 查询MmItemAccuracyRate详情
export const getMmItemAccuracyRate = (id: number) => {
  return request.get({ url: `/model/item/accuracy-rate/get/${id}`})
}

// 新增MmItemAccuracyRate
export const createMmItemAccuracyRate = (data: MmItemAccuracyRateVO) => {
  return request.post({ url: '/model/item/accuracy-rate/create', data })
}

// 修改MmItemAccuracyRate
export const updateMmItemAccuracyRate = (data: MmItemAccuracyRateVO) => {
  return request.put({ url: '/model/item/accuracy-rate/update', data })
}

// 删除MmItemAccuracyRate
export const deleteMmItemAccuracyRate = (id: number) => {
  return request.delete({ url: '/model/item/accuracy-rate/delete?id=' + id })
}


// 查询getItemAccuracyRateList详情
export const getItemAccuracyRateList = () => {
  return request.get({ url: `/model/item/accuracy-rate/list`})
}
